# Get Patient Details

| **API URL**     | {{url}}/spice-service/patient/patientDetails |
| --------------- | -------------------------------------------- |
| **Method**      | POST                                         |
| **Description** | Get the patient’s details by id              |

#### **Input:** <a href="#getpatientdetails-v2-input" id="getpatientdetails-v2-input"></a>

| **Field Name**         | **Type** | **Mandatory** | **Example**                                                                                                                             |
| ---------------------- | -------- | ------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization (Header) | String   | Yes           | Bearer 1ba363a1edf54402b51f58060aa52b11d30f99a490295adec900fdabf2b472181c0bfb165be18f4f5c430c7218a244bd29b9300d3471acc08197ccfb996118f6 |
| client                 | String   | Yes           | mob                                                                                                                                     |
| id                     | Integer  | Yes           | Patient Detail id                                                                                                                       |
| patientId              | Integer  | Yes           | Patient Id                                                                                                                              |

#### **Sample Input:** <a href="#getpatientdetails-v2-sampleinput" id="getpatientdetails-v2-sampleinput"></a>

{\
"id": "333333317130011",\
"patientId": "333333317130011"\
}

#### **Output:** <a href="#getpatientdetails-v2-output" id="getpatientdetails-v2-output"></a>

| **Field Name**      | **Type** | **Comments**                          |
| ------------------- | -------- | ------------------------------------- |
| message             | String   | The patient List fetched successfully |
| id                  | Integer  | Patient id                            |
| name                | String   | Patient Name                          |
| birthDate           | Date     | Date of birth of patient              |
| patientId           | BigInt   | Patient reference id                  |
| gender              | String   | Patient gender                        |
| village             | String   | Village details                       |
| villageId           | BigInt   | Village id                            |
| phoneNumber         | Bigint   | Patient Phone number                  |
| phoneNumberCategory | String   | Category of patient                   |
| isPregnant          | Boolean  | Pregnant status of the patient        |
| isActive            | Boolean  | Patient status                        |
| status              | Boolean  | Response status                       |
| initialReviewd      | Booleam  | Initial reviewed                      |

#### **Sample Output:** <a href="#getpatientdetails-v2-sampleoutput" id="getpatientdetails-v2-sampleoutput"></a>

```
{
  "message": "Patients List fetched successfully.",
  "entity": {
    "id": null,
    "name": "Member one",
    "birthDate": "2024-02-17T00:00:00+00:00",
    "patientId": "333333317130010",
    "nationalId": null,
    "gender": "male",
    "village": "Leon Sl Village",
    "villageId": "728",
    "landmark": null,
    "phoneNumber": "77XX9999",
    "memberId": "712",
    "chwName": null,
    "childPatientId": null,
    "chwPhoneNumber": null,
    "houseHoldId": null,
    "relationship": null,
    "houseHoldNumber": null,
    "isPregnant": null,
    "pregnancyDetails": {},
    "phoneNumberCategory": "personal",
    "pregnancyStatus": null,
    "diagnosis": null,
    "isActive": true,
    "dateOfBirth": null,
    "age": 0,
    "height": null,
    "weight": null,
    "bmi": null,
    "bmiCategory": null,
    "avgSystolic": null,
    "avgDiastolic": null,
    "avgBloodPressure": null,
    "avgPulse": null,
    "isRegularSmoker": null,
    "identityType": null,
    "identityValue": null,
    "firstName": null,
    "middleName": null,
    "lastName": null,
    "enrollmentAt": null,
    "occupation": null,
    "patientStatus": null,
    "createdAt": null,
    "updatedAt": null,
    "programId": null,
    "createdBy": null,
    "updatedBy": null,
    "cageAid": null,
    "riskMessage": null,
    "cvdRiskLevel": null,
    "cvdRiskScoreDisplay": null,
    "cvdRiskScore": null,
    "phq4RiskLevel": null,
    "phq4score": null,
    "phq4FirstScore": null,
    "phq4SecondScore": null,
    "gad7Score": null,
    "gad7RiskLevel": null,
    "phq9Score": null,
    "phq9RiskLevel": null,
    "suicidalIdeation": null,
    "glucoseUnit": null,
    "glucoseValue": null,
    "glucoseType": null,
    "glucoseDateTime": null,
    "diabetes": null,
    "diabetesOtherSymptoms": null,
    "lastMealTime": null,
    "hba1c": null,
    "hba1cUnit": null,
    "hba1cDateTime": null,
    "bpLogDetails": null,
    "isPhq9": null,
    "redRiskPatient": null,
    "initialMedicalReview": null,
    "isHtnDiagnosis": null,
    "isDiabetesDiagnosis": null,
    "isGestationalDiabetes": null,
    "nextBpAssessmentDate": null,
    "nextBgAssessmentDate": null,
    "nextMedicalReviewDate": null,
    "confirmDiagnosis": null,
    "isReferred": null,
    "prescribedDetails": null,
    "mentalHealthLevels": null,
    "riskColorCode": null,
    "riskLevel": null,
    "provisionalDiagnosis": null,
    "insuranceId": null,
    "insuranceStatus": null,
    "insuranceType": null,
    "otherInsurance": null,
    "referredReasons": null,
    "initialReviewed": false
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/engineering/api-documentation/spice-service/get-patient-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
